 <form name="{{formName}}" class="css-form" novalidate>{{formData}}
        <div class="marginBtmSml">
            <ul class="form flow dynamic">
               <!-- <li ng-repeat="formEle in formDetails">
                    <div ng-if="formEle.assetName">
                        <div ng-if="!edit" ng-init="formData.assetName = formEle.model"></div>
                    </div>
                    <div ng-show="formEle.type!='dropDown'">
                        <div class="tag capitalize">{{formEle.name}}
                            <span class="error mainNormal" ng-if="formEle.required">*</span>
                        </div>
                        <input ng-if="formEle.type!='date'" name="{{formEle.model}}" type="{{formEle.type}}"
                               ng-model="formData[formEle.model]"
                               placeholder="{{formEle.description}}"
                               ng-required="formEle.required">
                        <input ng-if="formEle.type ==='date'" name="{{formEle.model}}" type="text"
                               ng-model="formData[formEle.model]"
                               placeholder="{{formEle.description}}"
                               ng-required="formEle.required" date="formData[formEle.model]" date-picker>
                        <div class="error small marginTopShort"
                             ng-show="!newLinkAssetForm[formEle.model].$pristine && newLinkAssetForm[formEle.model].$invalid">
                            Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                        </div>
                        &lt;!&ndash; <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !sensorControllerObjects.addingSensor.isSensorNameUnique">
                             Sensor Name {{$parent.sensor.sensorName}} Already Exist
                         </div>&ndash;&gt;
                    </div>
                    <div ng-show="formEle.type==='dropDown'">
                        <div class="tag capitalize" ng-if="!edit"
                             ng-init="formData[formEle.model]=formEle.dropDownDetails.defaultValue">
                            {{formEle.name}}
                            <span class="error mainNormal" ng-if="formEle.required">*</span>
                        </div>
                        <div class="dropDown midBlock personCat">
                            <div class="head" data-init="0">
                                <div class="headTitle">{{formEle.dropDownDetails.defaultValue}}</div>
                            </div>
                            <ul class="list">
                                <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues"
                                    ng-click="formData.assets[formEle.model]=dropDownValue">
                                    {{dropDownValue}}
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>-->
                <li ng-repeat="formEle in formDetails">
                    <div ng-if="formEle.assetName">
                        <div ng-if="!formEdit" ng-init="formData.assetName = formEle.model"></div>
                    </div>
                    <div ng-show="formEle.type!='dropDown'">
                        <div class="tag capitalize">{{formEle.name}}
                            <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                        <input ng-if="formEle.type!='date'" name="{{formEle.model}}"
                               type="{{formEle.type}}"
                               ng-model="formData[formValue][formEle.model]"
                               placeholder="{{formEle.description}}"
                               ng-required="formEle.required">
                        <input ng-if="formEle.type ==='date'"
                               name="{{formEle.model}}" type="text"
                               ng-model="formData[formValue][formEle.model]"
                               placeholder="{{formEle.description}}"
                               ng-required="formEle.required"
                               date="formData[formValue][formEle.model]" date-picker>
                        <div class="error small marginTopShort"
                             ng-show="!newLinkAssetForm[formEle.model].$pristine
                                         && newLinkAssetForm[formEle.model].$invalid">
                            Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                        </div>
                    </div>
                    <div ng-show="formEle.type==='dropDown'">
                        <div ng-if="!formEdit" ng-init="formData[formValue][formEle.model]=formEle.dropDownDetails.defaultValue"></div>
                        <div class="tag capitalize">{{formEle.name}}
                            <span class="error mainNormal" ng-if="formEle.required">*</span>
                        </div>
                        <div class="dropDown midBlock personCat">
                            <div class="head" data-init="0">
                                <div class="headTitle">{{formData[formValue][formEle.model]}}</div>

                            </div>
                            <ul class="list">
                                <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues"
                                    ng-click="formData[formValue][formEle.model]=dropDownValue">
                                    {{dropDownValue}}
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
            </ul>
        </div>
    </form>